> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Logs

> Get event logs for a specific event



## OpenAPI

````yaml get /check-in/calendar/{event_id}/logs
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/{event_id}/logs:
    get:
      tags:
        - Calendar and Appointments
      summary: Get Event Logs
      description: Get event logs for a specific event
      operationId: get_event_logs_check_in_calendar__event_id__logs_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: event_id
          in: path
          required: true
          schema:
            type: string
            title: Event Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EventLogSummary'
                title: Response Get Event Logs Check In Calendar  Event Id  Logs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EventLogSummary:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the event log entry
        eventId:
          type: string
          title: Eventid
          description: The ID of the event this log entry is for
        actionType:
          $ref: '#/components/schemas/EventLogAction'
          description: The type of action that was performed
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: User-provided description or reason for the action
        createdBy:
          $ref: '#/components/schemas/UserTiny'
          description: The user who performed the action
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: When this action was performed
        data:
          anyOf:
            - $ref: '#/components/schemas/StatusTransitionData'
            - $ref: '#/components/schemas/StatusChangeData'
            - $ref: '#/components/schemas/RescheduleData'
            - $ref: '#/components/schemas/CreationData'
            - $ref: '#/components/schemas/PatientChangeData'
            - $ref: '#/components/schemas/ProviderChangeData'
            - $ref: '#/components/schemas/ServiceChangeData'
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
          description: Additional context about the action
      type: object
      required:
        - id
        - eventId
        - actionType
        - createdBy
        - createdDate
      title: EventLogSummary
      description: Summary schema for event log entries
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EventLogAction:
      type: string
      enum:
        - CREATED
        - CANCELLED
        - RESCHEDULED
        - STATUS_CHANGED
        - CHECKED_IN
        - NO_SHOW_MARKED
        - COMPLETED
        - PATIENT_CHANGED
        - PROVIDER_CHANGED
        - SERVICE_ADDED
        - SERVICE_REMOVED
      title: EventLogAction
      description: Actions that can be logged for events in the audit trail
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny
    StatusTransitionData:
      properties:
        oldStatus:
          type: string
          title: Oldstatus
      type: object
      required:
        - oldStatus
      title: StatusTransitionData
      description: Base data structure for status transition events
    StatusChangeData:
      properties:
        oldStatus:
          type: string
          title: Oldstatus
        newStatus:
          type: string
          title: Newstatus
      type: object
      required:
        - oldStatus
        - newStatus
      title: StatusChangeData
      description: Data structure for generic status change events
    RescheduleData:
      properties:
        oldStart:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldstart
        newStart:
          anyOf:
            - type: string
            - type: 'null'
          title: Newstart
        oldEnd:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldend
        newEnd:
          anyOf:
            - type: string
            - type: 'null'
          title: Newend
      type: object
      required:
        - oldStart
        - newStart
      title: RescheduleData
      description: Data structure for reschedule events
    CreationData:
      properties:
        serviceTitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Servicetitle
        locationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationname
      type: object
      title: CreationData
      description: Data structure for event creation
    PatientChangeData:
      properties:
        addedUserIds:
          items:
            type: string
          type: array
          title: Addeduserids
          default: []
        removedUserIds:
          items:
            type: string
          type: array
          title: Removeduserids
          default: []
      type: object
      title: PatientChangeData
      description: Data structure for patient change events
    ProviderChangeData:
      properties:
        addedUserIds:
          items:
            type: string
          type: array
          title: Addeduserids
          default: []
        removedUserIds:
          items:
            type: string
          type: array
          title: Removeduserids
          default: []
      type: object
      title: ProviderChangeData
      description: Data structure for provider change events
    ServiceChangeData:
      properties:
        serviceId:
          type: string
          title: Serviceid
        serviceTitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Servicetitle
      type: object
      required:
        - serviceId
      title: ServiceChangeData
      description: Data structure for service added/removed events
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````